Bug 37592 - lists from Writer not inserts as lists in Draw and Impress
Summary: lists from Writer not inserts as lists in Draw and Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.4.0 RC1
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Bullet-Number-Outline-Lists Textbox
  Show dependency treegraph
 
Reported: 2011-05-25 09:28 UTC by sasha.libreoffice
Modified: 2019-02-20 03:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-05-25 09:28:42 UTC
To reproduce this problem:
1. Create or open Writer document with dotted or numbered list
2. Select and copy this document
3. Create new Draw document
4. Draw there text frame and paste text inside of frame
Text appears, but without list. Try also Edit->Paste special. No numbers appears.
5. Create new Impress document.
6. Place cursor in any frame and paste.
Text appears, but without list. Try also Edit->Paste special. No numbers appears.

Impress and Draw have ability to create lists. User must format lists manually each time text with lists copy-pasted to Impress. It greatly slows down work when is need to create presentation from Writer document.

reproduced on LibO 3.4.rc1 on Mandriva 64 bit and Windows XP 32 bit
Comment 1 Björn Michaelsen 2011-12-23 12:04:37 UTC Comment hidden (obsolete)
Comment 2 sasha.libreoffice 2011-12-25 07:58:52 UTC
reproduced on LibO 3.5.0 beta 1 (but nobody reproduced it yet to confirm)
Comment 3 Florian Reisinger 2012-01-22 07:48:46 UTC
Currently it is inserted as OLE object.
It is possible for the user to make such a list in writer ==> Why as OLE Object
Comment 4 QA Administrators 2014-06-25 17:38:03 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2015-07-18 17:43:31 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-10-22 10:56:03 UTC
Pasting as unformatted text gives numbers at least, but not bullets.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 7 QA Administrators 2016-11-08 11:39:33 UTC Comment hidden (obsolete)
Comment 8 Telesto 2018-02-19 12:57:02 UTC
Repro
Version: 6.1.0.0.alpha0+
Build ID: b87fe45e8b087a315a65b92bf9c168b1e4c5cc00
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-16_23:14:35
Locale: nl-NL (nl_NL); Calc: CL
Comment 9 QA Administrators 2019-02-20 03:47:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug